[API]
RtlMoveMemory

[INCLUDE]
CallFunction_Fast
UIntAddUInt

[CODE]
Public Function OLEInterface_Release(ByVal ptrInterface As Long)
  Dim xLong1 As Long
  Call RtlMoveMemory(ByVal VarPtr(xLong1), ByVal ptrInterface, 4&)
  UIntAddUInt xLong1, 8&
  Call RtlMoveMemory(ByVal VarPtr(xLong1), ByVal xLong1, 4&)
  Call CallFunction_Fast(xLong1, ptrInterface)
  End Function